aboutsummaryrefslogtreecommitdiff
path: root/check/urxvt
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2016-08-16 14:24:31 +1200
committerTom Ryder <tom@sanctum.geek.nz>2016-08-16 14:24:50 +1200
commit2f5c3f189d83b6297a93dee83819092a63a33e88 (patch)
tree20bc97584202d210d0d6ac62c21afd7850c9e697 /check/urxvt
parentChange Zsh URL to HTTPS version (diff)
downloaddotfiles-2f5c3f189d83b6297a93dee83819092a63a33e88.tar.gz
dotfiles-2f5c3f189d83b6297a93dee83819092a63a33e88.zip
Rename "test" targets to "check"
Mostly to make way for an actual test suite beyond mere syntax checking
Diffstat (limited to 'check/urxvt')
-rwxr-xr-xcheck/urxvt6
1 files changed, 6 insertions, 0 deletions
diff --git a/check/urxvt b/check/urxvt
new file mode 100755
index 00000000..d27d6660
--- /dev/null
+++ b/check/urxvt
@@ -0,0 +1,6 @@
+#!/bin/sh
+for perl in urxvt/ext/* ; do
+ [ -f "$perl" ] || continue
+ perl -c "$perl" >/dev/null || exit
+done
+printf 'All Perl scripts in urxvt/ext parsed successfully.\n'